Support » Plugin: iThemes Security » iThemes Security update from 7.1 to 7.2 is breaking again my WP Super Cache

  • Hello,

    1. I’am using WordPress 4.9.8 with WP Super Cache 1.6.4 and iThemes Security 7.1.

    I would like to highlight that once again updating iThemes Security, here from v.7.1 to v.7.2, has broken my super cache plugin! This happened also with at least my last two updates of iTS.
    The result is my web site working at the speed of a very old turtle!

    Knowing the problem, I was able to correct my big problem running the auto-correct capability of WP Super Cache. Since my web site is back to normal speed behavior!

    2. The PROBLEM is the iThemes Security plugin who during its update is changing wp-config.php by removing WP Super Cache configuration (WP_CACHE constant)!

    Fortunately, when you know where to search, running WP Super Cache in your WP Admin panel display the following messages:
    Warning! WP Super Cache WAS broken but has been FIXED! The script advanced-cache.php could not load wp-cache-phase1.php. The file… advanced-cache.php was has been recreated and WPCACHEHOME fixed in your wp-config.php.”

    3. It would be very nice that the developers of iThemes Security fix this problem asap and forever!

    Thanks & Regards,

Viewing 1 replies (of 1 total)
  • Thread Starter Joe76000

    (@joe76000)

    Hello, it’s me again.

    Six months later, this situation is still the same. iThemes Security’s update has again broken my WP Super Cache (Automattic).

    My current configuration is:
    – WordPress 5.2
    – iThemes Security 7.3.3
    – WP Super Cache 1.6.5

    Either you update iThemes Security plugin or change its settings, the result is always the same, it’s breaking WP Super Cache (WPSC) plugin!
    And I’m getting the following well known error message:
    Warning! WP Super Cache WAS broken but has been FIXED! The script advanced-cache.php could not load wp-cache-phase1.php. The file… advanced-cache.php has been recreated and WPCACHEHOME fixed in your wp-config.php.”

    To repair WPSC and fix again and again the problem, you have to “run” it in your Admin panel.

    Otherwise, iThemes Security is a great plugin.
    Thanks

Viewing 1 replies (of 1 total)
  • The topic ‘iThemes Security update from 7.1 to 7.2 is breaking again my WP Super Cache’ is closed to new replies.